## class ReplaceCellTextCmd : public Command

> abstract command class for replacing text of cells.

## Inheritance:

### Public Methods

  | ReplaceCellTextCmd (Table *, TableViewer *v, const string *s1, const string *s2, bool sens, bool substr)
  virtual | ~ReplaceCellTextCmd ()
  void | UnExecute ()
  void | ReExecute ()

### Protected Methods

  TableViewer* | GetTableViewer ()
  string* | GetPattern ()
  string* | GetReplace ()
  bool | IsCaseSensitive ()
  bool | IsSubstring ()
  List <Cell *> * | GetCells ()
  List <string *> * | GetOldStrings ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void Execute()
virtual void Abort()
bool CmdDone() const
virtual const char* GetName() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract command class for replacing text of cells.

`ReplaceCellTextCmd(Table *, TableViewer *v, const string *s1, const string *s2, bool sens, bool substr)`

`virtual ~ReplaceCellTextCmd()`

`void UnExecute()`

`void ReExecute()`

`TableViewer* GetTableViewer()`

`string* GetPattern()`

`string* GetReplace()`

`bool IsCaseSensitive()`

`bool IsSubstring()`

`List <Cell *> * GetCells()`

`List <string *> * GetOldStrings()`

Direct child classes:
  ReplaceNextCellTextCmd
  ReplaceAllCellTextsCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de